from urllib import unquote
from icarus.query.select_request_builder import build_select_request

__author__ = 'shillaker'


# Checks the correct select query is created
def check_query_url(test_case, query, expected):
    expected += '&rows=10&start=0&wt=json'
    actual = build_select_request(query, 0, 10)
    actual = unquote(actual)

    test_case.assertEqual(expected, actual)